use crate::models::core;
use crate::protobuf::rpc;

const SUBJECT: &str = "bet.beteran.ss.member.identity";

/// subject = bet.beteran.ss.member.identity.Captcha
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CaptchaRequest {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<core::network::Client>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CaptchaResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<rpc::Error>,
  #[prost(string, optional, tag = "2")]
  pub image: ::core::option::Option<::prost::alloc::string::String>,
}

pub const SUBJECT_SIGNIN: &str = const_format::concatcp!(SUBJECT, ".Signin");
/// subject = bet.beteran.ss.member.identity.Signin
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct SigninRequest {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<core::network::Client>,
  #[prost(string, tag = "2")]
  pub username: ::prost::alloc::string::String,
  #[prost(string, tag = "3")]
  pub password: ::prost::alloc::string::String,
  #[prost(string, tag = "4")]
  pub security_code: ::prost::alloc::string::String,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct SigninResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<rpc::Error>,
  #[prost(string, optional, tag = "2")]
  pub token: ::core::option::Option<::prost::alloc::string::String>,
}
